﻿@{
    ViewBag.Title = "Ciudades";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}
<div class="page-header">
    <h1 class="page-title">Exclusividad por Ciudades</h1>
    <div class="page-header-actions">

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/City/CityUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA LOCALIDAD</span>
            </button>
        </div>

    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            <table class="table table-hover dataTable table-striped width-full" id="dtCities">
                <thead>
                    <tr>
                        <th class="text-left">Nombre</th>
                        <th class="text-left">Provincia</th>
                        <th class="text-center col-sm-1">Exclusiva</th>
                        <th class="text-center col-sm-1">Acciones</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript">

        var datatable;
        $(document).ready(function ()
        {
            BindDataTable();

            $("#dtCities").tooltip({
                selector: '[data-toggle="tooltip"]'
            });
        });

        function BindDataTable()
        {
            datatable = $('#dtCities').DataTable({
                ajax: {
                    url: "/City/GetCities",
                    type: "GET"
                },
                deferRender: true,
                columns: [
                    { "data": "CityName" },
                    { "data": "ProvinceName" },
                    {
                        "data": "IsExclusive",
                        "className": "text-center",
                        "render": function (data, type, full, meta) {

                            if (data)
                                return '<span class="badge badge-success">Si</span>';
                            else
                                return '<span class="badge badge-danger">No</span>';
                        }
                    },
                    {
                        "className": "text-center no-wrap",
                        "render": function (data, type, full, meta) {
                            var actions = "";

                            //Editar
                            actions += '<a href="/City/CityUpdate/' + full.CityId + '" class="btn btn-sm btn-icon btn-pure btn-default on-default" data-toggle="tooltip" data-original-title="Editar" data-rowid="' + full.CityId + '"><i class="icon wb-edit aria-hidden="true"></i></a>';

                            //Eliminar
                            actions += '<a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default" data-toggle="tooltip" data-original-title="Eliminar" data-row-id="' + full.CityId + '" onclick="fDeleteDialog(' + full.CityId + ')"><i class="icon wb-trash aria-hidden="true"></i></a>';

                            return actions;
                        }
                    }
                ]
            });
        }


        //function fConfirmCustomer(Id)
        //{
        //    $(".confirm").prop("disabled", true);
        //    $("#ajax-loader").css("display", "block");

        //    $.ajax({
        //        url: "/Customers/CustomerConfirm/" + Id,
        //        type: "POST",
        //        data: null,
        //        success: function (data, textStatus, jqXHR)
        //        {
        //            $(".confirm").prop("disabled", false);
        //            $("#ajax-loader").css("display", "none");

        //            datatable.ajax.reload();

        //            swal("Confirmado", "Se notificó al cliente vía email.", "success");
        //        }
        //    });
        //}

        function fDelete(Id)
        {
            $.ajax({
                url: "/City/CityDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('[data-row-id="' + Id + '"]').closest('tr').remove();
                    swal("Eliminado!", "", "success");
                    datatable.ajax.reload(null, false);

                    /*$('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();*/
                }
            });
        }

        function fDeleteDialog(cityId)
        {
            var cityId = cityId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm)
            {
                if (isConfirm)
                {
                    fDelete(cityId);
                }
            });
        }

        //function fConfirmDialog(customerId)
        //{
        //    var customerId = customerId;
        //    swal({
        //        title: "",
        //        text: "Desea confirmar al usuario?",
        //        showCancelButton: true,
        //        confirmButtonColor: '#46be8a',
        //        confirmButtonText: 'Sí, deseo confirmarlo.',
        //        cancelButtonText: 'Cancelar',
        //        closeOnConfirm: false,
        //        closeOnCancel: true
        //        },
        //        function (isConfirm)
        //        {
        //            if (isConfirm)
        //            {
        //                fConfirmCustomer(customerId);
        //            }
        //        });
        //}

        //function ShowCustomerDetails(Id)
        //{
        //    $.ajax({
        //        url: "/Customers/GetCustomerDetail/" + Id,
        //        type: "GET",
        //        data: null,
        //        success: function (data, textStatus, jqXHR)
        //        {
        //            $('.modal-body').html(data);
        //        }
        //    });

        //    return false;
        //}

    </script>
}

